
Figure - Bug #118454
【IOVDEV-31225】【VC1】【0086】【台架/EE环境】【HRYTTESTVINMGM328】【副屏遥控器】打开副屏
遥控器，弹出“网络异常，请重试”toast提示
2023-06-01 22:41 - CDTS_TEST 王成

Status: CLOSED Start date: 2023-06-01

Priority: Normal Due date:

Assignee: CDTS_TEST 王成 % Done: 0%

Category: 依赖客户及其供应商解决 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 100 usedebug版本

Resolution: -- Degrated: --

Severity: Normal Verified Version:

Reproducibility: Frequently Fixed Version:

Test Type: ST Root cause:

Description

【前提条件】

1、车机已上电，网络正常

2、车辆处于测试环境

【操作手顺】

1、跑了10分钟的monkey

2、停止后，手动点击副屏遥控器icon

3、打开后，副屏遥控器正常显示

【实际结果】

3、等几秒钟，弹出“网络异常，请重试”toast

实际遥控器按键和触控都可以正常使用

【期望结果】

3、遥控器正常连接和控制时，不应每次打开都提示网络异常提示

【复归方法】无

【复现率】5/5

测试时间：20230529 13：52

副屏版本：100 usedebug版本

副屏和主屏的日志请见附件，测试视频请见附件

History

#1 - 2023-06-02 10:17 - CD FW-廖涛

- Category changed from CD-FW to 依赖客户及其供应商解决

- Status changed from New to NEED_INFO

- Assignee changed from CD FW-廖涛 to CDTS_TEST 王成

■ Current conclusion

从中控的日志看，应该是网络波动，导致遥控器 SDK 接收控制回执消息时超时（java.net.SocketTimeoutException: Read timed out），发生了错误。

该错误是命令回执消息接收时的超时，实际命令已经发送成功，副屏可能已经成功执行相关命令操作。由于遥控器 SDK 是通过消息回执来判断是否发送

命令成功的，所以回执消息接收失败时，遥控器 SDK 无法判定副屏是否成功执行命令，所以走错误回调，逻辑正常，由于 Toast 提示是 SDK 接入方弹出

的，所以弹出时机或者文案是否合理，需要接入方进行评估。
05-29 13:52:29.679 W/System.err( 4785): java.net.SocketTimeoutException: Read timed out

05-29 13:52:29.679 W/System.err( 4785):     at java.net.SocketInputStream.socketRead0(Native Method)

05-29 13:52:29.680 W/System.err( 4785):     at java.net.SocketInputStream.socketRead(SocketInputStream.java:119)

05-29 13:52:29.680 W/System.err( 4785):     at java.net.SocketInputStream.read(SocketInputStream.java:176)

05-29 13:52:29.680 W/System.err( 4785):     at java.net.SocketInputStream.read(SocketInputStream.java:144)

05-29 13:52:29.680 W/System.err( 4785):     at java.net.SocketInputStream.read(SocketInputStream.java:130)

05-29 13:52:29.680 W/System.err( 4785):     at b.c.a(Unknown Source:1)

05-29 13:52:29.680 W/System.err( 4785):     at c.c.b(Unknown Source:21)

05-29 13:52:29.680 W/System.err( 4785):     at c.a.a(Unknown Source:2)

05-29 13:52:29.680 W/System.err( 4785):     at com.thundercomm.remotecontrol.RemoteControlManager$b.run(Unknown Source:2)

05-29 13:52:29.680 W/System.err( 4785):     at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1167)

05-29 13:52:29.680 W/System.err( 4785):     at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:641)

05-29 13:52:29.680 W/System.err( 4785):     at java.lang.Thread.run(Thread.java:923)

05-29 13:52:29.680 E/RemoteControlClient_MessageReader( 4785): readFromServer: cant get data from service.

05-29 13:52:29.680 I/HFSEM_REMOTE_CTRL( 4785): RemoteControlRepository-onError code=62;msg=Can not receive data from server.

■ Next action

测试确认并同步客户。

#2 - 2023-06-03 13:51 - CD TEST-方永红

6.3

已同步，等回复

#3 - 2023-06-06 19:43 - CDTS_TEST 王成

- Status changed from NEED_INFO to RESOLVED

客户回复：

分析：综上，socket连接超时, 遥控器SDK返回错误码，遥控器弹toast提示属于正常逻辑

结论：无需修复

#4 - 2023-06-06 19:43 - CDTS_TEST 王成

- Status changed from RESOLVED to VERIFIED

#5 - 2023-06-06 19:46 - CDTS_TEST 王成

- Status changed from VERIFIED to CLOSED

Files

副屏.7z 232 KB 2023-06-01 CDTS_TEST 王成

image-2023-05-29-16-43-23-044.png 605 KB 2023-06-01 CDTS_TEST 王成

飞书20230529-135429.mp4 11.8 MB 2023-06-01 CDTS_TEST 王成

13-52左右.7z 1.38 MB 2023-06-01 CDTS_TEST 王成
